package ability2770

import (
	"errors"
	topsdk "git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability2770/request"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability2770/response"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
	"git.rosy.net.cn/baseapi/utils"
	"git.rosy.net.cn/jx-callback/globals"
	"log"
)

type Ability2770 struct {
	Client *topsdk.TopClient
}

func NewAbility2770(client *topsdk.TopClient) *Ability2770 {
	return &Ability2770{client}
}

/*
   【同城零售】单品活动保存
*/
func (ability *Ability2770) AlibabaRetailMarketingItemdiscountActivitySave(req *request.AlibabaRetailMarketingItemdiscountActivitySaveRequest, session string) (*response.AlibabaRetailMarketingItemdiscountActivitySaveResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability2770 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.retail.marketing.itemdiscount.activity.save", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaRetailMarketingItemdiscountActivitySaveResponse{}
	if err != nil {
		log.Println("alibabaRetailMarketingItemdiscountActivitySave error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   【同城零售】保存商品池活动
*/
func (ability *Ability2770) AlibabaRetailMarketingItempoolActivitySave(req *request.AlibabaRetailMarketingItempoolActivitySaveRequest, session string) (*response.AlibabaRetailMarketingItempoolActivitySaveResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability2770 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.retail.marketing.itempool.activity.save", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaRetailMarketingItempoolActivitySaveResponse{}
	if err != nil {
		log.Println("alibabaRetailMarketingItempoolActivitySave error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   【同城零售】单品买赠活动保存
*/
func (ability *Ability2770) AlibabaRetailMarketingBuygiftActivitySave(req *request.AlibabaRetailMarketingBuygiftActivitySaveRequest, session string) (*response.AlibabaRetailMarketingBuygiftActivitySaveResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability2770 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.retail.marketing.buygift.activity.save", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaRetailMarketingBuygiftActivitySaveResponse{}
	if err != nil {
		log.Println("alibabaRetailMarketingBuygiftActivitySave error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   删除单品买赠活动商品
*/
func (ability *Ability2770) AlibabaRetailMarketingBuygiftActivitySkuDelete(req *request.AlibabaRetailMarketingBuygiftActivitySkuDeleteRequest, session string) (*response.AlibabaRetailMarketingBuygiftActivitySkuDeleteResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability2770 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.retail.marketing.buygift.activity.sku.delete", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaRetailMarketingBuygiftActivitySkuDeleteResponse{}
	if err != nil {
		log.Println("alibabaRetailMarketingBuygiftActivitySkuDelete error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   创建买赠活动
*/
func (ability *Ability2770) AlibabaRetailMarketingBuygiftActivityCreate(req *request.AlibabaRetailMarketingBuygiftActivityCreateRequest, session string) (*response.AlibabaRetailMarketingBuygiftActivityCreateResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability2770 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.retail.marketing.buygift.activity.create", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaRetailMarketingBuygiftActivityCreateResponse{}
	if err != nil {
		log.Println("alibabaRetailMarketingBuygiftActivityCreate error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   删除单品买赠活动
*/
func (ability *Ability2770) AlibabaRetailMarketingBuygiftActivityDelete(req *request.AlibabaRetailMarketingBuygiftActivityDeleteRequest, session string) (*response.AlibabaRetailMarketingBuygiftActivityDeleteResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability2770 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.retail.marketing.buygift.activity.delete", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaRetailMarketingBuygiftActivityDeleteResponse{}
	if err != nil {
		log.Println("alibabaRetailMarketingBuygiftActivityDelete error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   添加单品买赠活动商品
*/
func (ability *Ability2770) AlibabaRetailMarketingBuygiftActivitySkuAdd(req *request.AlibabaRetailMarketingBuygiftActivitySkuAddRequest, session string) (*response.AlibabaRetailMarketingBuygiftActivitySkuAddResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability2770 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.retail.marketing.buygift.activity.sku.add", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaRetailMarketingBuygiftActivitySkuAddResponse{}
	if err != nil {
		log.Println("alibabaRetailMarketingBuygiftActivitySkuAdd error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   更新单品买赠活动
*/
func (ability *Ability2770) AlibabaRetailMarketingBuygiftActivityUpdate(req *request.AlibabaRetailMarketingBuygiftActivityUpdateRequest, session string) (*response.AlibabaRetailMarketingBuygiftActivityUpdateResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability2770 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.retail.marketing.buygift.activity.update", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaRetailMarketingBuygiftActivityUpdateResponse{}
	if err != nil {
		log.Println("alibabaRetailMarketingBuygiftActivityUpdate error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   查询单品特价活动【同城零售】
*/
func (ability *Ability2770) AlibabaRetailMarketingItemdiscountActivityQuery(req *request.AlibabaRetailMarketingItemdiscountActivityQueryRequest, session string) (*response.AlibabaRetailMarketingItemdiscountActivityQueryResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability2770 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.retail.marketing.itemdiscount.activity.query", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaRetailMarketingItemdiscountActivityQueryResponse{}
	if err != nil {
		log.Println("alibabaRetailMarketingItemdiscountActivityQuery error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   查询商品池活动【同城零售】
*/
func (ability *Ability2770) AlibabaRetailMarketingItempoolActivityQuery(req *request.AlibabaRetailMarketingItempoolActivityQueryRequest, session string) (*response.AlibabaRetailMarketingItempoolActivityQueryResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability2770 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.retail.marketing.itempool.activity.query", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaRetailMarketingItempoolActivityQueryResponse{}
	if err != nil {
		log.Println("alibabaRetailMarketingItempoolActivityQuery error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   查询单品买赠活动【同城零售】
*/
func (ability *Ability2770) AlibabaRetailMarketingBuygiftActivityQuery(req *request.AlibabaRetailMarketingBuygiftActivityQueryRequest, session string) (*response.AlibabaRetailMarketingBuygiftActivityQueryResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability2770 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.retail.marketing.buygift.activity.query", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaRetailMarketingBuygiftActivityQueryResponse{}
	if err != nil {
		log.Println("alibabaRetailMarketingBuygiftActivityQuery error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   查询单品特价活动商品【同城零售】
*/
func (ability *Ability2770) AlibabaRetailMarketingItemdiscountSkuQuery(req *request.AlibabaRetailMarketingItemdiscountSkuQueryRequest, session string) (*response.AlibabaRetailMarketingItemdiscountSkuQueryResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability2770 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.retail.marketing.itemdiscount.sku.query", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaRetailMarketingItemdiscountSkuQueryResponse{}
	if err != nil {
		log.Println("alibabaRetailMarketingItemdiscountSkuQuery error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   查询商品池活动商品【同城零售】
*/
func (ability *Ability2770) AlibabaRetailMarketingItempoolSkuQuery(req *request.AlibabaRetailMarketingItempoolSkuQueryRequest, session string) (*response.AlibabaRetailMarketingItempoolSkuQueryResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability2770 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.retail.marketing.itempool.sku.query", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaRetailMarketingItempoolSkuQueryResponse{}
	if err != nil {
		log.Println("alibabaRetailMarketingItempoolSkuQuery error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   查询买赠活动商品【同城零售】
*/
func (ability *Ability2770) AlibabaRetailMarketingBuygiftSkuQuery(req *request.AlibabaRetailMarketingBuygiftSkuQueryRequest, session string) (*response.AlibabaRetailMarketingBuygiftSkuQueryResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability2770 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.retail.marketing.buygift.sku.query", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaRetailMarketingBuygiftSkuQueryResponse{}
	if err != nil {
		log.Println("alibabaRetailMarketingBuygiftSkuQuery error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   删除特价活动商品
*/
func (ability *Ability2770) AlibabaRetailMarketingItemdiscountActivitySkuDelete(req *request.AlibabaRetailMarketingItemdiscountActivitySkuDeleteRequest, session string) (*response.AlibabaRetailMarketingItemdiscountActivitySkuDeleteResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability2770 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.retail.marketing.itemdiscount.activity.sku.delete", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaRetailMarketingItemdiscountActivitySkuDeleteResponse{}
	if err != nil {
		log.Println("alibabaRetailMarketingItemdiscountActivitySkuDelete error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   创建单品特价活动【同城零售】
*/
func (ability *Ability2770) AlibabaRetailMarketingItemdiscountActivityCreate(req *request.AlibabaRetailMarketingItemdiscountActivityCreateRequest, session string) (*response.AlibabaRetailMarketingItemdiscountActivityCreateResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability2770 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.retail.marketing.itemdiscount.activity.create", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaRetailMarketingItemdiscountActivityCreateResponse{}
	if err != nil {
		log.Println("alibabaRetailMarketingItemdiscountActivityCreate error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	globals.SugarLogger.Debugf("AlibabaRetailMarketingItemdiscountActivityCreate respStruct=%s", utils.Format4Output(respStruct, false))
	return &respStruct, err
}

/*
   更新单品特价活动【同城零售】
*/
func (ability *Ability2770) AlibabaRetailMarketingItemdiscountActivityUpdate(req *request.AlibabaRetailMarketingItemdiscountActivityUpdateRequest, session string) (*response.AlibabaRetailMarketingItemdiscountActivityUpdateResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability2770 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.retail.marketing.itemdiscount.activity.update", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaRetailMarketingItemdiscountActivityUpdateResponse{}
	if err != nil {
		log.Println("alibabaRetailMarketingItemdiscountActivityUpdate error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   特价活动新增商品
*/
func (ability *Ability2770) AlibabaRetailMarketingItemdiscountActivitySkuAdd(req *request.AlibabaRetailMarketingItemdiscountActivitySkuAddRequest, session string) (*response.AlibabaRetailMarketingItemdiscountActivitySkuAddResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability2770 topClient is nil")
	}
	globals.SugarLogger.Debugf("ActivitySkuAdd req=%s", utils.Format4Output(&req, false))
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.retail.marketing.itemdiscount.activity.sku.add", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaRetailMarketingItemdiscountActivitySkuAddResponse{}
	if err != nil {
		log.Println("alibabaRetailMarketingItemdiscountActivitySkuAdd error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   删除单品特价活动【同城零售】
*/
func (ability *Ability2770) AlibabaRetailMarketingItemdiscountActivityDelete(req *request.AlibabaRetailMarketingItemdiscountActivityDeleteRequest, session string) (*response.AlibabaRetailMarketingItemdiscountActivityDeleteResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability2770 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.retail.marketing.itemdiscount.activity.delete", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaRetailMarketingItemdiscountActivityDeleteResponse{}
	if err != nil {
		log.Println("alibabaRetailMarketingItemdiscountActivityDelete error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   创建商品池活动【同城零售】
*/
func (ability *Ability2770) AlibabaRetailMarketingItempoolActivityCreate(req *request.AlibabaRetailMarketingItempoolActivityCreateRequest, session string) (*response.AlibabaRetailMarketingItempoolActivityCreateResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability2770 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.retail.marketing.itempool.activity.create", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaRetailMarketingItempoolActivityCreateResponse{}
	if err != nil {
		log.Println("alibabaRetailMarketingItempoolActivityCreate error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   删除商品池活动【同城零售】
*/
func (ability *Ability2770) AlibabaRetailMarketingItempoolActivityDelete(req *request.AlibabaRetailMarketingItempoolActivityDeleteRequest, session string) (*response.AlibabaRetailMarketingItempoolActivityDeleteResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability2770 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.retail.marketing.itempool.activity.delete", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaRetailMarketingItempoolActivityDeleteResponse{}
	if err != nil {
		log.Println("alibabaRetailMarketingItempoolActivityDelete error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   更新商品池活动【同城零售】
*/
func (ability *Ability2770) AlibabaRetailMarketingItempoolActivityUpdate(req *request.AlibabaRetailMarketingItempoolActivityUpdateRequest, session string) (*response.AlibabaRetailMarketingItempoolActivityUpdateResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability2770 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.retail.marketing.itempool.activity.update", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaRetailMarketingItempoolActivityUpdateResponse{}
	if err != nil {
		log.Println("alibabaRetailMarketingItempoolActivityUpdate error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   商品池活动新增商品
*/
func (ability *Ability2770) AlibabaRetailMarketingItempoolActivitySkuAdd(req *request.AlibabaRetailMarketingItempoolActivitySkuAddRequest, session string) (*response.AlibabaRetailMarketingItempoolActivitySkuAddResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability2770 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.retail.marketing.itempool.activity.sku.add", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaRetailMarketingItempoolActivitySkuAddResponse{}
	if err != nil {
		log.Println("alibabaRetailMarketingItempoolActivitySkuAdd error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
   删除商品池活动商品【同城零售】
*/
func (ability *Ability2770) AlibabaRetailMarketingItempoolActivitySkuDelete(req *request.AlibabaRetailMarketingItempoolActivitySkuDeleteRequest, session string) (*response.AlibabaRetailMarketingItempoolActivitySkuDeleteResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability2770 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.retail.marketing.itempool.activity.sku.delete", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaRetailMarketingItempoolActivitySkuDeleteResponse{}
	if err != nil {
		log.Println("alibabaRetailMarketingItempoolActivitySkuDelete error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}
